package _02_继承._03_继承当中成员变量;

public class Test {
    public static void main(String[] args) {
        Son son = new Son();
        // 当变量不重名的时候是没有任何问题, 但是如果变量重名了就会存在问题
        // 当成员变量名字相同的时候
        /**
         * 如果想要访问父类当中变量要使用super.变量名字
         * 如果想要访问当前类当中变量this.变量名字
         */
        son.show();
    }
}
